Package org.eclipse.m2m.atl.emftvm.launcher.debug

# Class NetworkDebugger.Command

java.lang.Object
org.eclipse.m2m.atl.emftvm.launcher.debug.NetworkDebugger.Command

Enclosing class:
  `NetworkDebugger`

protected abstract class NetworkDebugger.Command extends Object
A debugger command.

## Constructor Summary

Constructors
Constructor
Description
`Command(int cmd, String description)`
Creates a new command.

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`doIt(ADWPCommand cmd, StackFrame frame)`
Performs the command's action and returns `true` if the program should be resumed.
`String`
`getDescription()`
Returns the command description.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Command

public Command(int cmd, String description)
Creates a new command.

Parameters:
  `cmd` - the command id
  `description` - the command description

## Method Details

### doIt

public abstract boolean doIt(ADWPCommand cmd, StackFrame frame)
Performs the command's action and returns `true` if the program should be resumed.

Parameters:
  `cmd` - the command
  `frame` - the frame
Returns:
  returns `true` if the program should be resumed.

### getDescription

public String getDescription()
Returns the command description.

Returns:
  the command description